# `ppppcg`

A [PrePostPrint](https://prepostprint.org) inspired political compass generator with SVG output.

Why? You may find some answers on [here](http://blog.osp.kitchen) or [there](https://pad.vvvvvvaria.org/PPP-local-meetup).

<p align="center">
  <img src="./ppppcg.png" />
</p>

## Install

### Linux

```
curl https://git.coopcloud.tech/decentral1se/ppppcg/raw/branch/main/dist/ppppcg_linux_amd64_v1/ppppcg -o ppppcg
chmod +x ppppcg
```

### MacOS

```
curl https://git.coopcloud.tech/decentral1se/ppppcg/raw/branch/main/dist/ppppcg_darwin_amd64_v1/ppppcg -o ppppcg
chmod +x ppppcg
```

## Usage

Wire up a config file (`ppppcg.yml`).

```yaml
width: 500
height: 500

axis:
  top: W3C
  right: Industry
  bottom: Custom hacks
  left: Punk

points:
  - {name: "???", x: 50, y: 450}
```

And generate the SVG like so.

```
ppppcg
```

You can pipe it to a graphical program or save it to file.

```
ppppcg | display # X11 viewer
ppppcg > pc.svg  # to file
```

Add some of your own points.

```yaml
points:
  - {name: "???", x: 50, y: 450}
  - {name: moar, x: 80, y: 240}
  # and so on ...
```

The `(0, 0)` coordinates are the top leftmost corner of the canvas.

👋

## License

<a href="https://git.coopcloud.tech/decentral1se/ppppcg/src/branch/main/LICENSE">
  <img src="https://www.gnu.org/graphics/gplv3-with-text-136x68.png" />
</a>

## ACK

* [PrePostPrint](https://prepostprint.org)
* [`svgo`](https://github.com/ajstarks/svgo)
